Subject: Feature request: anti-spam

From: Hans Schleichert <[email-masked]>
Date: Fri, 30 Aug 1996 11:26:25 +0200

As I get more and more annoyed about mass e-mailings piling up in my
inbox, I am requesting that, for some future Pine version, you include an
anti-spam feature. This may work like this:

Upon first receipt of a spam, I add the sender's address to the Idiots'
List maintained in .pinerc. Whenever pine detects a mail from one of the
Idiots in my inbox, it does one or more of the following, as selected by
.pinerc features:

[X] replies to the sender, using a standardized message from a file on my
disk (e.g. 'this is an automated spam reply to notify you that any
messages from your account are deleted automatically and will not receive
any person's attention') - of course w/o adding the standard footer

[X] deletes the message from my inbox, optionally saving it into a spam
folder

To prevent giving too much information to spammers, I'd like to set up
different default footers for different areas - for example, no phone
number when posting to newsgroups.

Any comp.mail.pine subscribers who agree with me, please post your comment
so that the Pine makers become aware of a general need for this feature.

         -  Hans
--------------------------------------------------------------------------------
Hans Schleichert, Dipl.-Phys.
Institut fuer Medizinische Psychologie und Verhaltensneurobiologie
(Institute of Medical Psychology and Behavioural Neurobiology)
Eberhard-Karls-University
Gartenstrasse 29
D-72074 Tuebingen, Germany